%global eclipse_base    %{_libdir}/eclipse
%global install_loc     %{_datadir}/eclipse/dropins/mercurial
# Taken from update site so we match upstream
%global qualifier       v201104191217

Name:           eclipse-mercurial
Version:        1.8.2
Release:        1%{?dist}
Summary:        Eclipse Mercurial plugin
License:        EPL
URL:            http://javaforge.com/project/HGE
Group:          Development/Tools

# Tar file generated from Mercurial repository (branch maintenance_1_8)
# by:
#   bash get-eclipse-mercurial-sources.sh 
# retrieved the plug-in from http://javaforge.com:8000/hgeclipse -u maintenance_1_8
# Since the feature is recently added to the already released version(1.8.1), 
# it's being maintained in branch maintenance_1_8
# Once the next version is released(1.9.0),
# the correspondent release tag of the source code will be used
Source0:        eclipse-mercurial-1.8.2.tar.bz2
Source1:        get-eclipse-mercurial-sources.sh

BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  eclipse-platform >= 1:3.4.0
BuildRequires:  eclipse-pde >= 1:3.4.0
BuildRequires:  eclipse-mylyn >= 3.5.1
BuildRequires:  eclipse-mylyn-context-team >= 3.5.1

Requires:       eclipse-platform >= 1:3.5.0     
Requires:       eclipse-mylyn >= 3.5.1
Requires:       eclipse-mylyn-context-team >= 3.5.1

BuildArch:      noarch

%description
Eclipse plugins to interact with Mercurial Repositories.

%prep
%setup -q -n eclipse-mercurial-%{version}

%build
%{eclipse_base}/buildscripts/pdebuild -f mercurialeclipse \
  -a "-DjavacSource=1.6 -DjavacTarget=1.6 -DforceContextQualifier=%{qualifier}" \
  -d "mylyn mylyn-context-team"

%install
install -d -m 755 %{buildroot}%{install_loc}

# mercurial main feature
unzip -q -d %{buildroot}%{install_loc}/ \
    build/rpmBuild/mercurialeclipse.zip

%files
%{install_loc}
%doc LICENSE

%changelog
* Mon Jun 27 2011 mziaei <mziaei@redhat.com> 1.8.2-1
- Added the 1.8.2 feature from upstream (recently added to branch maintenance_1_8)

* Mon Jun 20 2011 Minoo Ziaei <mziaei@redhat.com> 1.8.1-6
- Added the maintainer feature from hgwiki

* Thu Jun 16 2011 Minoo Ziaei <mziaei@redhat.com> 1.8.1-5
- removed epl, fixed the feature version

* Thu Jun 16 2011 Minoo Ziaei <mziaei@redhat.com> 1.8.1-4
- added the epl documentation the feature

* Tue Jun 14 2011 Minoo Ziaei <mziaei@redhat.com> 1.8.1-3
- Modifying the url to feature tar ball

* Tue Jun 14 2011 Minoo Ziaei <mziaei@redhat.com> 1.8.1-2
- Added more required packages, version qualifier of the upstream.

* Thu Jun 9 2011 Minoo Ziaei <mziaei@redhat.com> 1.8.1-1
- Initial Release
